/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * Check whether the given string matches the KMS ARN format.
 * arn:aws:kms:<Region>?:<AccountId>?:key/<UUID>
 * Reference:
 *   https://docs.aws.amazon.com/kms/latest/developerguide/find-cmk-id-arn.html#find-cmk-arn-api
 */
export declare function isArn(value: string): boolean;
